Bug 1215341 - Review Request: compat-libcdio15 - Compat package with libcdio libraries
Summary: Review Request: compat-libcdio15 - Compat package with libcdio libraries
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-25 16:15 UTC by Kalev Lember
Modified: 2015-04-28 15:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-28 15:22:05 UTC
Type: ---
zbyszek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1215342 medium CLOSED Review Request: compat-libcdio-paranoia1 - Compat package with libcdio-paranoia libraries 2020-10-14 00:28:05 UTC

Internal Links: 1215342

Description Kalev Lember 2015-04-25 16:15:22 UTC
Spec URL: http://kalev.fedorapeople.org/compat-libcdio15.spec
SRPM URL: https://kalev.fedorapeople.org/compat-libcdio15-0.92-1.fc21.x86_64.rpm
Description:
This is an ABI compatibility package in order to make some 3rd party codecs that link against libcdio work on F22. 3rd party repos that ship them have been lagging behind and currently only ship binaries built for F21; this package here provides required ABI compatibility in order to make them work in F22 as well.

The intention is to retire and obsolete this package as soon as the 3rd party repos have caught up with F22.

Fedora Account System Username: kalev

Comment 1 Kalev Lember 2015-04-25 16:19:54 UTC
Err, accidentally linked to a binary rpm instead of the srpm above. Here are corrected links:

Spec URL: http://kalev.fedorapeople.org/compat-libcdio15.spec
SRPM URL: https://kalev.fedorapeople.org/compat-libcdio15-0.92-1.fc21.src.rpm

Comment 2 Kalev Lember 2015-04-25 16:41:16 UTC
For reference, here's the diff to the F21 libcdio package: http://paste.fedoraproject.org/215477/

I'd like to keep the diff to the original package down to the minimum in order to be able to easily share fixes when needed, so if possible please don't pick on the indentation and things like that that are also present in the original F21 package.

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=9567758

Comment 3 Zbigniew Jędrzejewski-Szmek 2015-04-25 22:51:32 UTC
fedora-review has nothing interesting to say, I'll not paste the full output here, except for rpmlint.

Rpmlint
-------
Checking: compat-libcdio15-0.92-1.fc23.i686.rpm
          compat-libcdio15-0.92-1.fc23.src.rpm
compat-libcdio15.i686: W: no-documentation
compat-libcdio15.src: W: spelling-error Summary(en_US) libcdio -> libido
compat-libcdio15.src: W: spelling-error %description -l en_US libcdio -> libido
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

Requires
--------
compat-libcdio15 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    libm.so.6
    rtld(GNU_HASH)

Provides
--------
compat-libcdio15:
    compat-libcdio15
    compat-libcdio15(x86-32)
    libcdio.so.15
    libcdio.so.15(CDIO_15)

Comment 4 Zbigniew Jędrzejewski-Szmek 2015-04-26 00:04:51 UTC
Package builds fine and seems to provide the old .so version correctly.

Package is APPROVED.

Comment 5 Kalev Lember 2015-04-26 00:12:07 UTC
Thanks for the quick reviews!

New Package SCM Request
=======================
Package Name: compat-libcdio15
Short Description: Compat package with libcdio libraries
Upstream URL: http://www.gnu.org/software/libcdio/
Owners: kalev
Branches: f22
InitialCC:

Comment 6 Gwyn Ciesla 2015-04-26 15:57:35 UTC
Git done (by process-git-requests).

Comment 7 Kalev Lember 2015-04-28 15:22:05 UTC
Package imported and built.


Note You need to log in before you can comment on or make changes to this bug.